# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/ISBN.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/SQLite.pm) perl(DBIx/Class.pm) perl(DBIx/Class/Schema.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.04000
%define module_name DBIx-Class-InflateColumn-ISBN
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04000
Release: alt1
Summary: Auto-create Business::ISBN objects from columns.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PE/PENGUIN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Load this component and declare columns as ISBNs with the appropriate format.

    package Library;
    __PACKAGE__->load_components(qw/InflateColumn::ISBN Core/);
    __PACKAGE__->add_columns(
        isbn => {
            data_type => 'varchar',
            size => 13,
            is_nullable => 0,
            is_isbn => 1,
            as_string => 0,
        }
    );

It has to be a varchar rather than a simple integer given that it is possible
for ISBNs to contain the character X. Old style ISBNs are 10 characters, not
including hyphens, but new style ones are 13 characters.

The `as_string' attribute is optional, and if set to 1 then values will be
stored in the database with hyphens in the appopriate places. In this case, an
extra 3 characters will be required.

Then you can treat the specified column as a Business::ISBN object.

    print 'ISBN: ', $book->isbn->as_string;
    print 'Publisher code: ', $book->isbn->publisher_code;


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.04000-alt1
- initial import by package builder

